package main

import (
	_ "oc-discovery/routers"

	"github.com/beego/beego/logs"
	beego "github.com/beego/beego/v2/server/web"
)

func main() {
	log := logs.NewLogger(10000)
	log.SetLogger("console")
	if beego.BConfig.RunMode == "dev" {
		beego.BConfig.WebConfig.DirectoryIndex = true
		beego.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	}
	beego.Run()
}
